import React from 'react';
import purebem from 'purebem';
import { FoundationPulseSpinner } from '@billogram/foundation-spinner';
import './FoundationButtonSpinner.scss';
export default function FoundationButtonSpinner(_ref) {
  var visible = _ref.visible;

  if (!visible) {
    return null;
  }

  var block = purebem('foundation-button-spinner');
  return /*#__PURE__*/React.createElement("div", {
    className: block()
  }, /*#__PURE__*/React.createElement(FoundationPulseSpinner, {
    size: "auto",
    ui: "purple"
  }));
}
//# sourceMappingURL=FoundationButtonSpinner.js.map