# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.4.3](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.4.2...@billogram/foundation-button@1.4.3) (2021-05-17)

### Bug Fixes

* Add link type to FoundationButtonUI ([3c22489f](https://github.com/billogram/frontend-foundation/commit/3c22489f))



## [1.4.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.4.1...@billogram/foundation-button@1.4.2) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [1.4.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.4.0...@billogram/foundation-button@1.4.1) (2021-02-02)

### Bug Fixes

* Prefer React import ([6266a71c](https://github.com/billogram/frontend-foundation/commit/6266a71c))



## [1.4.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.3.0...@billogram/foundation-button@1.4.0) (2021-01-13)

### Features

* Implement FoundationAsyncButton(Group) ([189e3dbd](https://github.com/billogram/frontend-foundation/commit/189e3dbd))



## [1.3.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.2.0...@billogram/foundation-button@1.3.0) (2021-01-10)

### Bug Fixes

* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix linting in foundation-button ([4e07a8a2](https://github.com/billogram/frontend-foundation/commit/4e07a8a2))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))



## [1.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.1.0...@billogram/foundation-button@1.2.0) (2020-06-12)

### Features

* Supported link-styled link button ([e0c353ad](https://github.com/billogram/frontend-foundation/commit/e0c353ad))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.0.2...@billogram/foundation-button@1.1.0) (2020-06-05)

### Features

* Make it possible to programmatically focus button ([0fbab8c0](https://github.com/billogram/frontend-foundation/commit/0fbab8c0))



## [1.0.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-button@1.0.1...@billogram/foundation-button@1.0.2) (2020-01-22)

### Bug Fixes

* Use 4px border-radius ([41cb8169](https://github.com/billogram/frontend-foundation/commit/41cb8169))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-button@1.0.1) (2020-01-20)

### Bug Fixes

* Include mixin in files ([07db9b79](https://github.com/billogram/frontend-foundation/commit/07db9b79))
* Use correct janitor mappings ([cabd0bc3](https://github.com/billogram/frontend-foundation/commit/cabd0bc3))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Tweak disabled/loading state colors for buttons ([53eb76b5](https://github.com/billogram/frontend-foundation/commit/53eb76b5))
* Implement FoundationButton and FoundationLinkButton ([bc50f956](https://github.com/billogram/frontend-foundation/commit/bc50f956))
* Scaffold out @billogram/foundation-buttons ([757c46d5](https://github.com/billogram/frontend-foundation/commit/757c46d5))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-button@1.0.0) (2020-01-20)

### Bug Fixes

* Use correct janitor mappings ([cabd0bc3](https://github.com/billogram/frontend-foundation/commit/cabd0bc3))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Always export all types from types ([fd5dfa91](https://github.com/billogram/frontend-foundation/commit/fd5dfa91))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Tweak disabled/loading state colors for buttons ([53eb76b5](https://github.com/billogram/frontend-foundation/commit/53eb76b5))
* Implement FoundationButton and FoundationLinkButton ([bc50f956](https://github.com/billogram/frontend-foundation/commit/bc50f956))
* Scaffold out @billogram/foundation-buttons ([757c46d5](https://github.com/billogram/frontend-foundation/commit/757c46d5))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.
