import _regeneratorRuntime from "@babel/runtime/regenerator";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React from 'react';
import FoundationButton from './FoundationButton';
import { useAsyncButtonGroup } from './FoundationAsyncButtonGroupContext';

function noop() {}

export default function FoundationAsyncButton(_ref) {
  var asyncAction = _ref.asyncAction,
      _ref$autoFocus = _ref.autoFocus,
      autoFocus = _ref$autoFocus === void 0 ? false : _ref$autoFocus,
      children = _ref.children,
      _ref$disabled = _ref.disabled,
      disabled = _ref$disabled === void 0 ? false : _ref$disabled,
      _ref$onAsync = _ref.onAsync,
      onAsync = _ref$onAsync === void 0 ? noop : _ref$onAsync,
      _ref$onAsyncActionSuc = _ref.onAsyncActionSuccess,
      onAsyncActionSuccess = _ref$onAsyncActionSuc === void 0 ? noop : _ref$onAsyncActionSuc,
      _ref$onAsyncActionErr = _ref.onAsyncActionError,
      onAsyncActionError = _ref$onAsyncActionErr === void 0 ? noop : _ref$onAsyncActionErr,
      ui = _ref.ui;
  var asyncButtonGroup = useAsyncButtonGroup();

  var _React$useState = React.useState(false),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      isFetching = _React$useState2[0],
      setIsFetching = _React$useState2[1];

  var onClick = React.useCallback( /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee() {
    var data;
    return _regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            _context.prev = 0;
            onAsync();
            asyncButtonGroup.disable();
            setIsFetching(true);
            _context.next = 6;
            return asyncAction();

          case 6:
            data = _context.sent;
            setIsFetching(false);
            asyncButtonGroup.enable();
            onAsyncActionSuccess(data);
            _context.next = 17;
            break;

          case 12:
            _context.prev = 12;
            _context.t0 = _context["catch"](0);
            setIsFetching(false);
            asyncButtonGroup.enable();
            onAsyncActionError(_context.t0);

          case 17:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, null, [[0, 12]]);
  })), [asyncAction, asyncButtonGroup, onAsync, onAsyncActionError, onAsyncActionSuccess]);
  return /*#__PURE__*/React.createElement(FoundationButton, {
    autoFocus: autoFocus,
    disabled: disabled || asyncButtonGroup.disabled,
    onClick: onClick,
    loading: isFetching,
    ui: ui
  }, children);
}
//# sourceMappingURL=FoundationAsyncButton.js.map